Bug 441103 - f-spot crashed on pressing "import"
f-spot crashed on pressing "import"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 03:28 EDT by Jeremy Fitzhardinge
Modified: 2008-07-23 03:14 EDT (History)
12 users (show)

See Also:
Fixed In Version: 0.4.3.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 03:14:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Startup messages and backtrace (13.21 KB, text/plain)
2008-05-13 13:09 EDT, Jared Smith
no flags Details
Command-line output after invoking f-spot and trying to import photos (11.39 KB, text/plain)
2008-05-16 15:35 EDT, Adam Huffman
no flags Details
Stack trace from console (9.77 KB, text/plain)
2008-06-09 00:20 EDT, Braden McDaniel
no flags Details

  None (edit)
Description Jeremy Fitzhardinge 2008-04-06 03:28:25 EDT
Description of problem:
f-spot crashed when I selected import.  SD card was mounted.

Version-Release number of selected component (if applicable):
f-spot-0.4.2-4.fc9.i386

How reproducible:


Steps to Reproduce:
1.Insert SD card
2.Press "import"
3.
  
Actual results:
Crash

Expected results:
Import dialog

Additional info:
...
open uri = file:///home/jeremy/pics/xfer/mnt/stick/dcim/111_pana/p1110214.jpg
open uri = file:///home/jeremy/pics/xfer/mnt/stick/dcim/111_pana/p1110214.jpg
open uri = file:///home/jeremy/pics/xfer/mnt/stick/dcim/111_pana/p1110215.jpg
open uri = file:///home/jeremy/pics/xfer/mnt/stick/dcim/111_pana/p1110215.jpg

(f-spot:3718): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling
gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the
data stream to the loader before dropping the last reference.
open uri = file:///home/jeremy/pics/xfer/media/disk/DCIM/111_PANA/P1110655.JPG
open uri = file:///home/jeremy/pics/xfer/media/disk/DCIM/111_PANA/P1110655.JPG
open uri = file:///home/jeremy/pics/xfer/media/disk/DCIM/111_PANA/P1110656.JPG
open uri = file:///home/jeremy/pics/xfer/media/disk/DCIM/111_PANA/P1110656.JPG
XFER - gnome-dev-harddisk - Mountpoint file:///mnt/xfer True True Harddrive
Harddrive
NIKON D80 - gnome-dev-media-sdmmc - Mountpoint file:///media/NIKON%20D80 True
True MemoryStick
MemoryStick
*** glibc detected *** f-spot: free(): invalid pointer: 0x0ab3fb84 ***
======= Backtrace: =========
/lib/libc.so.6[0x55dfd4]
/lib/libc.so.6(cfree+0x96)[0x560036]
/lib/libglib-2.0.so.0(g_free+0x36)[0x96a086]
[0x429ace]
[0x27db742]
[0x27db6b9]
[0x27d9541]
[0x27d7c8f]
[0x27d77d0]
[0x3b39323]
[0x366ec28]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x18a9834]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x189c12b]
/lib/libgobject-2.0.so.0[0x18b0c82]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7de)[0x18b1c0e]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x18b2076]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0xb6)[0x3e56a30]
/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x1ac)[0x3cfbbe9]
/usr/lib/libgtk-x11-2.0.so.0[0x3cfa90f]
/usr/lib/libgtk-x11-2.0.so.0[0x3cef6a1]
/usr/lib/libgtk-x11-2.0.so.0[0x3ce511a]
/lib/libgobject-2.0.so.0[0x189a8a9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x189c12b]
/lib/libgobject-2.0.so.0[0x18b040f]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x66c)[0x18b1a9c]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x18b2076]
/usr/lib/libgtk-x11-2.0.so.0[0x3e5691c]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_event+0x115)[0x3e56444]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x260)[0x3ce36d7]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2da)[0x3ce21c1]
/usr/lib/libgdk-x11-2.0.so.0[0x5bc3fc0]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0x961f58]
/lib/libglib-2.0.so.0[0x9654bb]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1ca)[0x96598a]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xe0)[0x3ce18e9]
[0x2541d56]
[0x2541d20]
[0x2541d08]
[0x4294f2]
[0x4281c4]
f-spot(mono_runtime_exec_main+0xf7)[0x809a777]
f-spot(mono_runtime_run_main+0x16d)[0x809ad5d]
f-spot(mono_main+0x623)[0x8058b53]
f-spot[0x8058042]
/lib/libc.so.6(__libc_start_main+0xe6)[0x5055d6]
f-spot[0x8057f81]
======= Memory map: ========
00010000-00103000 rwxp 00010000 00:00 0 
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00113000 rwxp 00111000 00:00 0 
00113000-00120000 r-xp 00000000 fd:00 983107     /lib/libgcc_s-4.3.0-20080404.so.1
00120000-00121000 rwxp 0000c000 fd:00 983107     /lib/libgcc_s-4.3.0-20080404.so.1
00121000-00123000 rwxp 00121000 00:00 0 
00123000-00323000 r-xp 00000000 fd:00 606870     /usr/lib/locale/locale-archive
00323000-00406000 r-xp 0019f000 fd:00 606870     /usr/lib/locale/locale-archive
00406000-00407000 r-xp 00cbf000 fd:00 606870     /usr/lib/locale/locale-archive
00407000-0041b000 rwxp 00407000 00:00 0 
0041b000-00426000 r-xp 00000000 fd:00 983371     /lib/libnss_files-2.7.90.so
00426000-00427000 r-xp 0000a000 fd:00 983371     /lib/libnss_files-2.7.90.so
00427000-00428000 rwxp 0000b000 fd:00 983371     /lib/libnss_files-2.7.90.so
00428000-004a5000 rwxp 00428000 00:00 0 
004a5000-004a6000 ---p 004a5000 00:00 0 
004a6000-004ad000 rwxp 004a6000 00:00 0 
004ad000-004be000 r-xp 00000000 fd:00 1262891   
/usr/lib/mono/gac/glib-sharp/2.10.0.0__35e10195dab3c99f/glib-sharp.dll
004be000-004c2000 r-xp 00000000 fd:00 1154667    /usr/lib/f-spot/FSpot.Core.dll
004c2000-004c4000 r-xp 00000000 fd:00 1263552   
/usr/lib/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll
004c4000-004c7000 r-xp 00000000 fd:00 1154669    /usr/lib/f-spot/FSpot.Utils.dll
004c7000-004cb000 r-xp 00000000 fd:00 1263840   
/usr/lib/mono/gac/gconf-sharp/2.16.0.0__35e10195dab3c99f/gconf-sharp.dll
004cb000-004cc000 rwxp 004cb000 00:00 0 
004cc000-004eb000 r-xp 00000000 fd:00 983060     /lib/ld-2.7.90.so
004eb000-004ec000 r-xp 0001e000 fd:00 983060     /lib/ld-2.7.90.so
004ec000-004ed000 rwxp 0001f000 fd:00 983060     /lib/ld-2.7.90.so
004ed000-004ee000 r-xp 00000000 fd:00 1133228    /usr/lib/libxcb-xlib.so.0.0.0
004ee000-004ef000 rwxp 00000000 fd:00 1133228    /usr/lib/libxcb-xlib.so.0.0.0
004ef000-00659000 r-xp 00000000 fd:00 983068     /lib/libc-2.7.90.so
00659000-0065b000 r-xp 0016a000 fd:00 983068     /lib/libc-2.7.90.so
0065b000-0065c000 rwxp 0016c000 fd:00 983068     /lib/libc-2.7.90.so
0065c000-0065f000 rwxp 0065c000 00:00 0 
0065f000-00660000 r-xp 00000000 fd:00 1213123   
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00660000-00661000 rwxp 00001000 fd:00 1213123   
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00661000-00688000 r-xp 00000000 fd:00 983346     /lib/libm-2.7.90.so
00688000-00689000 r-xp 00026000 fd:00 983346     /lib/libm-2.7.90.so
00689000-0068a000 rwxp 00027000 fd:00 983346     /lib/libm-2.7.90.so
0068a000-0068c000 r-xp 00000000 fd:00 1154668    /usr/lib/f-spot/FSpot.Query.dll
0068c000-0068f000 r-xp 00000000 fd:00 983078     /lib/libdl-2.7.90.so
0068f000-00690000 r-xp 00002000 fd:00 983078     /lib/libdl-2.7.90.so
00690000-00691000 rwxp 00003000 fd:00 983078     /lib/libdl-2.7.90.so
00691000-00692000 r-xp 00000000 fd:00 1147059    /usr/lib/libglade/2.0/libcanvas.so
00692000-00693000 rwxp 00001000 fd:00 1147059    /usr/lib/libglade/2.0/libcanvas.so
00693000-006a9000 r-xp 00000000 fd:00 983074     /lib/libpthread-2.7.90.so
006a9000-006aa000 r-xp 00015000 fd:00 983074     /lib/libpthread-2.7.90.so
006aa000-006ab000 rwxp 00016000 fd:00 983074     /lib/libpthread-2.7.90.so
006ab000-006ad000 rwxp 006ab000 00:00 0 
006ad000-006c3000 r-xp 00000000 fd:00 1150500   
/usr/lib/f-spot/Mono.Addins.Setup.dll
006c3000-006c5000 r-xs 00000000 fd:00 622710    
/var/cache/fontconfig/e3ead4b767b8819993a6fa3ae306afa9-x86.cache-2
006c5000-006df000 r-xp 00000000 fd:00 983079     /lib/libselinux.so.1
006df000-006e0000 r-xp 00019000 fd:00 983079     /lib/libselinux.so.1
006e0000-006e1000 rwxp 0001a000 fd:00 983079     /lib/libselinux.so.1
006e1000-00806000 r-xp 00000000 fd:00 1150509    /usr/lib/f-spot/f-spot.exe
00806000-0080f000 ---p 00806000 00:00 0 
0080f000-00907000 rwxp 0080f000 00:00 0 
00907000-0091d000 r-xp 00000000 fd:00 902112    
/usr/lib/mono/gac/atk-sharp/2.10.0.0__35e10195dab3c99f/atk-sharp.dll
0091d000-00920000 r-xp 00000000 fd:00 983382     /lib/libgmodule-2.0.so.0.1600.2
00920000-00921000 rwxp 00002000 fd:00 983382     /lib/libgmodule-2.0.so.0.1600.2
00921000-00923000 r-xp 00000000 fd:00 1134628    /usr/lib/libglibsharpglue-2.so
00923000-00924000 rwxp 00001000 fd:00 1134628    /usr/lib/libglibsharpglue-2.so
00924000-00926000 r-xp 00000000 fd:00 1133584    /usr/lib/libXcomposite.so.1.0.0
00926000-00927000 rwxp 00001000 fd:00 1133584    /usr/lib/libXcomposite.so.1.0.0
00927000-00929000 r-xp 00000000 fd:00 1133342    /usr/lib/libXinerama.so.1.0.0
00929000-0092a000 rwxp 00001000 fd:00 1133342    /usr/lib/libXinerama.so.1.0.0
0092a000-0092b000 rwxp 0092a000 00:00 0 
0092b000-00a09000 r-xp 00000000 fd:00 983360     /lib/libglib-2.0.so.0.1600.2
00a09000-00a0a000 rwxp 000de000 fd:00 983360     /lib/libglib-2.0.so.0.1600.2
00a0a000-00a0c000 r-xs 00000000 fd:00 623711    
/var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-x86.cache-2
00a0c000-00a14000 r-xp 00000000 fd:00 983075     /lib/librt-2.7.90.so
00a14000-00a15000 r-xp 00007000 fd:00 983075     /lib/librt-2.7.90.so
00a15000-00a16000 rwxp 00008000 fd:00 983075     /lib/librt-2.7.90.so
00a16000-00a60000 r-xp 00000000 fd:00 1267577   
/usr/lib/mono/gac/gnome-sharp/2.16.0.0__35e10195dab3c99f/gnome-sharp.dll
00a60000-00ac2000 r-xp 00000000 fd:00 1151543    /usr/lib/f-spot/Cms.dll
00ac2000-00aee000 r-xp 00000000 fd:00 1131086   
/usr/lib/mono/gac/Mono.Posix/2.0.0.0__0738eb9f132ed756/Mono.Posix.dll
00aee000-00b01000 r-xp 00000000 fd:00 1263546   
/usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll
00b01000-00b20000 r-xp 00000000 fd:00 1267750   
/usr/lib/mono/gac/gnome-vfs-sharp/2.16.0.0__35e10195dab3c99f/gnome-vfs-sharp.dll
00b20000-00b28000 r-xp 00000000 fd:00 1133182    /usr/lib/libSM.so.6.0.0
00b28000-00b29000 rwxp 00008000 fd:00 1133182    /usr/lib/libSM.so.6.0.0
00b29000-00b2d000 r-xp 00000000 fd:00 983380     /lib/libgthread-2.0.so.0.1600.2
00b2d000-00b2e000 rwxp 00003000 fd:00 983380     /lib/libgthread-2.0.so.0.1600.2
00b2e000-00d9d000 r-xp 00000000 fd:00 1251189    /usr/lib/mono/2.0/mscorlib.dll
00d9d000-00ed6000 rwxs 00000000 fd:02 87327850  
/home/jeremy/.wapi/shared_data-ezr-Linux-i686-312-11-0
00ed6000-0125b000 rwxs 00000000 fd:02 87327851  
/home/jeremy/.wapi/shared_fileshare-ezr-Linux-i686-36-11-0
0125b000-01286000 r-xp 00000000 fd:00 1154671    /usr/lib/f-spot/Mono.Addins.dll
01286000-0129d000 r-xp 00000000 fd:00 1133147    /usr/lib/libICE.so.6.3.0
0129d000-0129e000 rwxp 00016000 fd:00 1133147    /usr/lib/libICE.so.6.3.0
0129e000-012a0000 rwxp 0129e000 00:00 0 
012a0000-012c6000 r-xp 00000000 fd:00 1131263    /usr/lib/libpng12.so.0.24.0
012c6000-012c7000 rwxp 00026000 fd:00 1131263    /usr/lib/libpng12.so.0.24.0
012c7000-012f5000 r-xp 00000000 fd:00 1133353    /usr/lib/libfontconfig.so.1.3.0
012f5000-012f6000 rwxp 0002e000 fd:00 1133353    /usr/lib/libfontconfig.so.1.3.0
012f6000-012fe000 r-xp 00000000 fd:00 1133328    /usr/lib/libXrender.so.1.3.0
012fe000-012ff000 rwxp 00007000 fd:00 1133328    /usr/lib/libXrender.so.1.3.0
012ff000-01307000 r-xp 00000000 fd:00 1133317    /usr/lib/libXi.so.6.0.0
01307000-01308000 rwxp 00007000 fd:00 1133317    /usr/lib/libXi.so.6.0.0
01308000-0130e000 r-xp 00000000 fd:00 1133329    /usr/lib/libXrandr.so.2.1.0
0130e000-0130f000 rwxp 00005000 fd:00 1133329    /usr/lib/libXrandr.so.2.1.0
0130f000-01318000 r-xp 00000000 fd:00 1133341    /usr/lib/libXcursor.so.1.0.2
01318000-01319000 rwxp 00008000 fd:00 1133341    /usr/lib/libXcursor.so.1.0.2
01319000-01360000 r-xp 00000000 fd:00 983440     /lib/libssl.so.0.9.8g
01360000-01364000 rwxp 00046000 fd:00 983440     /lib/libssl.so.0.9.8g
01364000-0149b000 r-xp 00000000 fd:00 983430     /lib/libcrypto.so.0.9.8g
0149b000-014af000 rwxp 00136000 fd:00 983430     /lib/libcrypto.so.0.9.8g
014af000-014b2000 rwxp 014af000 00:00 0 
014b2000-014bd000 r-xp 00000000 fd:00 1134710    /usr/lib/libavahi-common.so.3.5.0
014bd000-014be000 rwxp 0000a000 fd:00 1134710    /usr/lib/libavahi-common.so.3.5.0
014be000-014cf000 r-xp 00000000 fd:00 983363     /lib/libresolv-2.7.90.so
014cf000-014d0000 r-xp 00010000 fd:00 983363     /lib/libresolv-2.7.90.soStacktrace:

  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0x00004>
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0xffffffff>
  at (wrapper managed-to-native) LibGPhoto2.CameraList.gp_list_get_value
(System.Runtime.InteropServices.HandleRef,int,string&) <0xffffffff>
  at LibGPhoto2.CameraList.GetValue (int) <0x00068>
  at SourceMenu..ctor (ImportCommand) <0x003f0>
  at ImportCommand.ImportFromFile (PhotoStore,string) <0x002b6>
  at MainWindow.HandleImportCommand (object,System.EventArgs) <0x0004f>
  at GLib.Signal.voidObjectCallback (intptr,intptr) <0x000da>
  at (wrapper native-to-managed) GLib.Signal.voidObjectCallback (intptr,intptr)
<0xffffffff>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x00007>
  at Gnome.Program.Run () <0x00007>
  at FSpot.Driver.Main (string[]) <0x00cf1>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	f-spot [0x817936e]
	[0x11040c]
	[0x110416]
	/lib/libc.so.6(gsignal+0x50) [0x51a4b0]
	/lib/libc.so.6(abort+0x188) [0x51be78]
	/lib/libc.so.6 [0x557cfd]
	/lib/libc.so.6 [0x55dfd4]
	/lib/libc.so.6(cfree+0x96) [0x560036]
	/lib/libglib-2.0.so.0(g_free+0x36) [0x96a086]
	[0x429ace]
	[0x27db742]
	[0x27db6b9]
	[0x27d9541]
	[0x27d7c8f]
	[0x27d77d0]
	[0x3b39323]
	[0x366ec28]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84) [0x18a9834]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x189c12b]
	/lib/libgobject-2.0.so.0 [0x18b0c82]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7de) [0x18b1c0e]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x18b2076]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0xb6) [0x3e56a30]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x1ac) [0x3cfbbe9]
	/usr/lib/libgtk-x11-2.0.so.0 [0x3cfa90f]
	/usr/lib/libgtk-x11-2.0.so.0 [0x3cef6a1]
	/usr/lib/libgtk-x11-2.0.so.0 [0x3ce511a]
	/lib/libgobject-2.0.so.0 [0x189a8a9]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x189c12b]
	/lib/libgobject-2.0.so.0 [0x18b040f]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x66c) [0x18b1a9c]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x18b2076]
	/usr/lib/libgtk-x11-2.0.so.0 [0x3e5691c]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_event+0x115) [0x3e56444]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x260) [0x3ce36d7]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2da) [0x3ce21c1]
	/usr/lib/libgdk-x11-2.0.so.0 [0x5bc3fc0]
	/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8) [0x961f58]
	/lib/libglib-2.0.so.0 [0x9654bb]
	/lib/libglib-2.0.so.0(g_main_loop_run+0x1ca) [0x96598a]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xe0) [0x3ce18e9]
	[0x2541d56]
	[0x2541d20]
	[0x2541d08]
	[0x4294f2]
	[0x4281c4]
	f-spot(mono_runtime_exec_main+0xf7) [0x809a777]
	f-spot(mono_runtime_run_main+0x16d) [0x809ad5d]
	f-spot(mono_main+0x623) [0x8058b53]
	f-spot [0x8058042]
	/lib/libc.so.6(__libc_start_main+0xe6) [0x5055d6]
	f-spot [0x8057f81]
Comment 1 Joshua Bergland 2008-04-27 19:08:54 EDT
I am receiving the same error with the SD card from my Canon camera. Using
f-spot-0.4.2-5.fc9.x86_64.
Comment 2 Jared Smith 2008-05-13 13:08:11 EDT
I'm receiving the same error as well, and again I'm using an SD card from my
Canon camera.  I'm using f-spot-0.4.2-5.fc9.i386, so it doesn't appear to be
arch-specific.

I'm attaching the startup messages and backtrace after having installed all the
debugging symbols.
Comment 3 Jared Smith 2008-05-13 13:09:53 EDT
Created attachment 305268 [details]
Startup messages and backtrace

The backtrace happens when I click on "Import" from the "File" menu.
Comment 4 Bug Zapper 2008-05-14 04:57:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jared Smith 2008-05-15 10:30:09 EDT
I can confirm that this happens in Fedora 9 as well.  
Comment 6 Adam Huffman 2008-05-16 15:32:55 EDT
Same thing here, when SD card used in a Canon camera is mounted via a USB adapter.
Backtrace will follow.
Comment 7 Adam Huffman 2008-05-16 15:35:42 EDT
Created attachment 305732 [details]
Command-line output after invoking f-spot and trying to import photos
Comment 8 Peter Janakiev 2008-05-18 06:18:26 EDT
Same thing here, I can import from local files but not from a mounted media. 
My version is f-spot-0.4.2-5.fc9.i386
Its not the only bug in this release though. 
My output:
Подвижен дял 958,0 MB - gnome-dev-harddisk-usb - Mountpoint file:///media/disk
True True Harddrive
Harddrive
*** glibc detected *** f-spot: free(): invalid pointer: 0x0a178644 ***
======= Backtrace: =========
/lib/libc.so.6[0x4f07e4]
/lib/libc.so.6(cfree+0x96)[0x4f2846]
/lib/libglib-2.0.so.0(g_free+0x36)[0x6ae356]
[0x422ace]
[0x169351a]
[0x1693491]
[0x1691369]
[0x168faaf]
[0x168f5f0]
[0x3f7d74b]
[0x1449fc0]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x59b38b4]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x59a612b]
/lib/libgobject-2.0.so.0[0x59baed8]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe)[0x59bbece]
/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0x19d)[0x59bc1dd]
/usr/lib/libgtk-x11-2.0.so.0[0x236943b]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x59b38b4]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x59a612b]
/lib/libgobject-2.0.so.0[0x59ba995]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe)[0x59bbece]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x59bc336]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0xa1)[0x2157971]
/usr/lib/libgtk-x11-2.0.so.0[0x2158dd2]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84)[0x59b38b4]
/lib/libgobject-2.0.so.0[0x59a48a9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x59a612b]
/lib/libgobject-2.0.so.0[0x59ba1ee]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe)[0x59bbece]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x59bc336]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0xa1)[0x21578ca]
/usr/lib/libgtk-x11-2.0.so.0[0x2158bc2]
/usr/lib/libgtk-x11-2.0.so.0[0x225e14e]
/lib/libgobject-2.0.so.0[0x59a48a9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab)[0x59a612b]
/lib/libgobject-2.0.so.0[0x59ba63d]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x688)[0x59bbd58]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x59bc336]
/usr/lib/libgtk-x11-2.0.so.0[0x23cfb34]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_event+0x115)[0x23cf65c]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x260)[0x225c70b]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2da)[0x225b1f5]
/usr/lib/libgdk-x11-2.0.so.0[0x7bb941d]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0x6a6098]
/lib/libglib-2.0.so.0[0x6a9743]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2)[0x6a9c62]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xe0)[0x225a91d]
[0x7a44356]
[0x7a44320]
[0x7a44308]
[0x4224f2]
[0x4211c4]
f-spot(mono_runtime_exec_main+0xf7)[0x809a787]
f-spot(mono_runtime_run_main+0x16d)[0x809ad6d]
f-spot(mono_main+0x623)[0x8058b53]
f-spot[0x8058042]
/lib/libc.so.6(__libc_start_main+0xe6)[0x4995d6]
f-spot[0x8057f81]
======= Memory map: ========
00010000-000f1000 rwxp 00010000 00:00 0 
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 rwxp 00111000 00:00 0 
00115000-00119000 r-xp 00000000 08:02 163219    
/usr/share/locale/bg/LC_MESSAGES/libc.mo
00119000-00120000 r-xs 00000000 08:02 187445     /usr/lib/gconv/gconv-modules.cache
00120000-00124000 rwxp 00120000 00:00 0 
00124000-00324000 r-xp 00000000 08:02 163235     /usr/lib/locale/locale-archive
00324000-00409000 r-xp 00417000 08:02 163235     /usr/lib/locale/locale-archive
00409000-00419000 rwxp 00409000 00:00 0 
00419000-00421000 r-xp 00000000 08:02 164888    
/usr/share/locale/bg/LC_MESSAGES/glib20.mo
00421000-00431000 rwxp 00421000 00:00 0 
00431000-00432000 ---p 00431000 00:00 0 
00432000-00439000 rwxp 00432000 00:00 0 
00439000-0043b000 r-xp 00000000 08:02 357515    
/usr/lib/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll
0043b000-00448000 r-xp 00000000 08:02 124315     /lib/libgcc_s-4.3.0-20080428.so.1
00448000-00449000 rwxp 0000c000 08:02 124315     /lib/libgcc_s-4.3.0-20080428.so.1
00449000-00453000 r-xp 00000000 08:02 121801     /lib/libnss_files-2.8.so
00453000-00454000 r-xp 0000a000 08:02 121801     /lib/libnss_files-2.8.so
00454000-00455000 rwxp 0000b000 08:02 121801     /lib/libnss_files-2.8.so
00455000-00459000 r-xp 00000000 08:02 279108     /usr/lib/f-spot/FSpot.Core.dll
00459000-0045c000 r-xp 00000000 08:02 279110     /usr/lib/f-spot/FSpot.Utils.dll
0045c000-00460000 r-xp 00000000 08:02 382638    
/usr/lib/mono/gac/gconf-sharp/2.16.0.0__35e10195dab3c99f/gconf-sharp.dll
00460000-00462000 r-xp 00000000 08:02 166879     /usr/lib/libglibsharpglue-2.so
00462000-00463000 rwxp 00001000 08:02 166879     /usr/lib/libglibsharpglue-2.so
00463000-0047f000 r-xp 00000000 08:02 124288     /lib/ld-2.8.so
0047f000-00480000 r-xp 0001c000 08:02 124288     /lib/ld-2.8.so
00480000-00481000 rwxp 0001d000 08:02 124288     /lib/ld-2.8.so
00481000-00482000 r-xp 00000000 08:02 41310      /usr/lib/libxcb-xlib.so.0.0.0
00482000-00483000 rwxp 00000000 08:02 41310      /usr/lib/libxcb-xlib.so.0.0.0
00483000-005e6000 r-xp 00000000 08:02 124289     /lib/libc-2.8.so
005e6000-005e8000 r-xp 00163000 08:02 124289     /lib/libc-2.8.so
005e8000-005e9000 rwxp 00165000 08:02 124289     /lib/libc-2.8.so
005e9000-005ec000 rwxp 005e9000 00:00 0 
005ec000-005ed000 r-xp 00000000 08:02 254123    
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
005ed000-005ee000 rwxp 00001000 08:02 254123    
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
005ee000-00615000 r-xp 00000000 08:02 124302     /lib/libm-2.8.so
00615Stacktrace:

  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0x00004>
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0xffffffff>
  at (wrapper managed-to-native) LibGPhoto2.CameraList.gp_list_get_value
(System.Runtime.InteropServices.HandleRef,int,string&) <0xffffffff>
  at LibGPhoto2.CameraList.GetValue (int) <0x00068>
  at SourceMenu..ctor (ImportCommand) <0x003f0>
  at ImportCommand.ImportFromFile (PhotoStore,string) <0x002b6>
  at MainWindow.HandleImportCommand (object,System.EventArgs) <0x0004f>
  at GLib.Signal.voidObjectCallback (intptr,intptr) <0x000da>
  at (wrapper native-to-managed) GLib.Signal.voidObjectCallback (intptr,intptr)
<0xffffffff>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x00007>
  at Gnome.Program.Run () <0x00007>
  at FSpot.Driver.Main (string[]) <0x00cf1>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	f-spot [0x81796be]
	[0x11040c]
	[0x110416]
	/lib/libc.so.6(gsignal+0x50) [0x4ad660]
	/lib/libc.so.6(abort+0x188) [0x4af028]
	/lib/libc.so.6 [0x4ea5bd]
	/lib/libc.so.6 [0x4f07e4]
	/lib/libc.so.6(cfree+0x96) [0x4f2846]
	/lib/libglib-2.0.so.0(g_free+0x36) [0x6ae356]
	[0x422ace]
	[0x169351a]
	[0x1693491]
	[0x1691369]
	[0x168faaf]
	[0x168f5f0]
	[0x3f7d74b]
	[0x1449fc0]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84) [0x59b38b4]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x59a612b]
	/lib/libgobject-2.0.so.0 [0x59baed8]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe) [0x59bbece]
	/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0x19d) [0x59bc1dd]
	/usr/lib/libgtk-x11-2.0.so.0 [0x236943b]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84) [0x59b38b4]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x59a612b]
	/lib/libgobject-2.0.so.0 [0x59ba995]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe) [0x59bbece]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x59bc336]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0xa1) [0x2157971]
	/usr/lib/libgtk-x11-2.0.so.0 [0x2158dd2]
	/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x84) [0x59b38b4]
	/lib/libgobject-2.0.so.0 [0x59a48a9]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x59a612b]
	/lib/libgobject-2.0.so.0 [0x59ba1ee]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7fe) [0x59bbece]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x59bc336]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_button_released+0xa1) [0x21578ca]
	/usr/lib/libgtk-x11-2.0.so.0 [0x2158bc2]
	/usr/lib/libgtk-x11-2.0.so.0 [0x225e14e]
	/lib/libgobject-2.0.so.0 [0x59a48a9]
	/lib/libgobject-2.0.so.0(g_closure_invoke+0x1ab) [0x59a612b]
	/lib/libgobject-2.0.so.0 [0x59ba63d]
	/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x688) [0x59bbd58]
	/lib/libgobject-2.0.so.0(g_signal_emit+0x26) [0x59bc336]
	/usr/lib/libgtk-x11-2.0.so.0 [0x23cfb34]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_event+0x115) [0x23cf65c]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x260) [0x225c70b]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2da) [0x225b1f5]
	/usr/lib/libgdk-x11-2.0.so.0 [0x7bb941d]
	/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8) [0x6a6098]
	/lib/libglib-2.0.so.0 [0x6a9743]
	/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2) [0x6a9c62]
	/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xe0) [0x225a91d]
	[0x7a44356]
	[0x7a44320]
	[0x7a44308]
	[0x4224f2]
	[0x4211c4]
	f-spot(mono_runtime_exec_main+0xf7) [0x809a787]
	f-spot(mono_runtime_run_main+0x16d) [0x809ad6d]
	f-spot(mono_main+0x623) [0x8058b53]
	f-spot [0x8058042]
	/lib/libc.so.6(__libc_start_main+0xe6) [0x4995d6]
	f-spot [0x8057f81]
Comment 9 Timon 2008-05-23 00:52:36 EDT
f-spot-0.4.3.1-1.fc10.i386 works fine
Comment 10 Trond Danielsen 2008-05-30 14:18:46 EDT
I see the same behaviour on x86_64 F-9 when my D80 is plugged into the usb port.
Comment 11 Braden McDaniel 2008-06-09 00:20:43 EDT
Created attachment 308667 [details]
Stack trace from console

Same behavior here (on x86_64).
Comment 12 JP Renaud 2008-07-04 09:45:33 EDT
I have a similar behaviour here with a Somy Memory Stick. The import window
freezes when the Memory Stick is mounted. I have noticed that (with memory stick
*not* mounted) when I click the import button, I get a message about usbaudio in
/var/log/messages. The same message is written again when I click cancel:

Jul  4 14:43:03 roger kernel: ALSA sound/usb/usbaudio.c:1353: setting usb
interface 1:1
Jul  4 14:43:05 roger kernel: ALSA sound/usb/usbaudio.c:1353: setting usb
interface 1:1

I have a USB audio headset. Maybe there is a conflict. I have not tested yet
without my USB headset.
Comment 13 Jonathan Berry 2008-07-05 19:09:14 EDT
I get similar behavior when my CF card from my Canon 40D is mounted (x86_64
arch).  Instead of a crash, though, F-Spot just hangs. If the CF card is not
mounted, I can open the import dialog (which works fine), then mount the CF, and
browse to it via the select folder function. Import then works as expected.

f-spot-0.4.2-5.fc9.x86_64
Comment 14 Jonathan Berry 2008-07-05 19:13:29 EDT
Okay, I had not run f-spot from a terminal.  I do get a crash with backtrace,
though, f-spot does not close automatically when this happens.  The window stays
out and "grays out."

125.0 GB Volume - gnome-dev-harddisk - Mountpoint file:///windows True True
Harddrive
Harddrive
EOS_DIGITAL - gnome-dev-harddisk-usb - Mountpoint file:///media/EOS_DIGITAL True
True Harddrive
Harddrive
*** glibc detected *** f-spot: free(): invalid pointer: 0x00000000025cf7d4 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3b1c078158]
/lib64/libc.so.6(cfree+0x76)[0x3b1c07a796]
[0x3321f5]
======= Memory map: ========
00110000-00124000 rwxp 00110000 00:00 0 
00124000-0012f000 r-xp 00000000 fd:00 1007644                           
/lib64/libnss_files-2.8.so
0012f000-0032e000 ---p 0000b000 fd:00 1007644                           
/lib64/libnss_files-2.8.so
0032e000-0032f000 r--p 0000a000 fd:00 1007644                           
/lib64/libnss_files-2.8.so
0032f000-00330000 rw-p 0000b000 fd:00 1007644                           
/lib64/libnss_files-2.8.so
00330000-00400000 rwxp 00330000 00:00 0 
00400000-005f3000 r-xp 00000000 fd:00 893269                            
/usr/bin/mono
005f3000-00633000 rwxp 005f3000 00:00 0 
00633000-00635000 rwxp 00000000 00:0f 1943                               /dev/zero
00635000-00665000 rwxp 00635000 00:00 0 
007f3000-007f6000 rw-p 001f3000 fd:00 893269                            
/usr/bin/mono
007f6000-00810000 rw-p 007f6000 00:00 0 
00810000-00812000 r-xp 00000000 fd:00 1103125                           
/usr/lib64/libglibsharpglue-2.so
00812000-00a11000 ---p 00002000 fd:00 1103125                           
/usr/lib64/libglibsharpglue-2.so
00a11000-00a12000 rw-p 00001000 fd:00 1103125                           
/usr/lib64/libglibsharpglue-2.so
00bf5000-00bfc000 rw-p 001f5000 fd:00 893269                            
/usr/bin/mono
00c56000-00e3d000 rw-p 00c56000 00:00 0 
00e3d000-00e40000 rwxp 00e3d000 00:00 0 
00e40000-015d8000 rw-p 00e40000 00:00 0 
015d8000-015d9000 rwxp 015d8000 00:00 0 
015d9000-015dd000 rw-p 015d9000 00:00 0 
015dd000-015de000 rwxp 015dd000 00:00 0 
015de000-01609000 rw-p 015de000 00:00 0 
01609000-0160a000 rwxp 01609000 00:00 0 
0160a000-01734000 rw-p 0160a000 00:00 0 
01734000-01735000 rwxp 01734000 00:00 0 
01735000-01a20000 rw-p 01735000 00:00 0 
01a20000-01a21000 rwxp 01a20000 00:00 0 
01a21000-01aae000 rw-p 01a21000 00:00 0 
01aae000-01ab0000 rwxp 01aae000 00:00 0 
01ab0000-01aea000 rw-p 01ab0000 00:00 0 
01aea000-01aeb000 rwxp 01aea000 00:00 0 
01aeb000-01af4000 rw-p 01aeb000 00:00 0 
01af4000-01af5000 rwxp 01af4000 00:00 0 
01af5000-01b61000 rw-p 01af5000 00:00 0 
01b61000-01b62000 rwxp 01b61000 00:00 0 
01b62000-01fda000 rw-p 01b62000 00:00 0 
01fda000-01fdb000 rwxp 01fda000 00:00 0 
01fdb000-01ff4000 rw-p 01fdb000 00:00 0 
01ff4000-01ff5000 rwxp 01ff4000 00:00 0 
01ff5000-0224d000 rw-p 01ff5000 00:00 0 
0224d000-0224f000 rwxp 0224d000 00:00 0 
0224f000-02251000 rw-p 0224f000 00:00 0 
02251000-02252000 rwxp 02251000 00:00 0 
02252000-02257000 rw-p 02252000 00:00 0 
02257000-02259000 rwxp 02257000 00:00 0 
02259000-0225d000 rw-p 02259000 00:00 0 
0225d000-0225f000 rwxp 0225d000 00:00 0 
0225f000-0226b000 rw-p 0225f000 00:00 0 
0226b000-0226c000 rwxp 0226b000 00:00 0 
0226c000-0226e000 rw-p 0226c000 00:00 0 
0226e000-0226f000 rwxp 0226e000 00:00 0 
0226f000-02293000 rw-p 0226f000 00:00 0 
02293000-02294000 rwxp 02293000 00:00 0 
02294000-0234b000 rw-p 02294000 00:00 0 
0234b000-0234c000 rwxp 0234b000 00:00 0 
0234c000-023dc000 rw-p 0234c000 00:00 0 
023dc000-023dd000 rwxp 023dc000 00:00 0 
023dd000-02526000 rw-p 023dd000 00:00 0 
02526000-02527000 rwxp 02526000 00:00 0 
02527000-02542000 rw-p 02527000 00:00 0 
02542000-02543000 rwxp 02542000 00:00 0 
02543000-0254d000 rw-p 02543000 00:00 0 
0254d000-0254e000 rwxp 0254d000 00:00 0 
0254e000-026c9000 rw-p 0254e000 00:00 0 
403c4000-403c5000 ---p 403c4000 00:00 0 
403c5000-403c8000 rwxp 403c5000 00:00 0 
40579000-4057a000 ---p 40579000 00:00 0 
4057a000-4077a000 rwxp 4057a000 00:00 0 
4077a000-4077b000 ---p 4077a000 00:00 0 
4077b000-4097b000 rwxp 4077b000 00:00 0 
40ea1000-40ea2000 ---p 40ea1000 00:00 0 
40ea2000-410a2000 rwxp 40ea2000 00:00 0 
410f2000-410f3000 ---p 410f2000 00:00 0 
410f3000-412f3000 rwxp 410f3000 00:00 0 
41e22000-41ea7000 rw-p 00000000 00:0f 1943                               /dev/zero
3257c00000-3257c01000 r-xp 00000000 fd:00 958641                        
/usr/lib64/libxcb-xlib.so.0.0.0
3257c01000-3257e00000 ---p 00001000 fd:00 958641                        
/usr/lib64/libxcb-xlib.so.0.0.0
3257e00000-3257e01000 rw-p 00000000 fd:00 958641                        
/usr/lib64/libxcb-xlib.so.0.0.0
3258000000-3258007000 r-xp 00000000 fd:00 958670                        
/usr/lib64/libXrandr.so.2.1.0
3258007000-3258206000 ---p 00007000 fd:00 958670                        
/usr/lib64/libXrandr.so.2.1.0
3258206000-3258207000 rw-p 00006000 fd:00 958670                        
/usr/lib64/libXrandr.so.2.1.0
3258800000-3258802000 r-xp 00000000 fd:00 958649                        
/usr/lib64/libXinerama.so.1.0.0
3258802000-3258a01000 ---p 00002000 fd:00 958649                        
/usr/lib64/libXinerama.so.1.0.0
3258a01000-3258a02000 rw-p 00001000 fd:00 958649                        
/usr/lib64/libXinerama.so.1.0.0
3258c00000-3258c02000 r-xp 00000000 fd:00 958648                        
/usr/lib64/libXcomposite.so.1.0.0
3258c02000-3258e01000 ---p 00002000 fd:00 958648                        
/usr/lib64/libXcomposite.so.1.0.0
3258e01000-3258e02000 rw-p 00001000 fd:00 958648                        
/usr/lib64/libXcomposite.so.1.0.0
3259000000-3259010000 r-xp 00000000 fd:00 958647                        
/usr/lib64/libXext.so.6.4.0
3259010000-3259210000 ---p 00010000 fd:00 958647                        
/usr/lib64/libXext.so.6.4.0
3259210000-3259211000 rw-p 00010000 fd:00 958647                        
/usr/lib64/libXext.so.6.4.0
3259400000-3259506000 r-xp 00000000 fd:00 958642                        
/usr/lib64/libX11.so.6.2.0
3259506000-3259705000 ---p 00106000 fd:00 958642                        
/usr/lib64/libX11.so.6.2.0
3259705000-325970b000 rw-p 00105000 fd:00 958642                        
/usr/lib64/libX11.so.6.2.0
3259c00000-3259c69000 r-xp 00000000 fd:00 958644                        
/usr/lib64/libcairo.so.2.17.5
3259c69000-3259e68000 ---p 00069000 fd:00 958644                        
/usr/lib64/libcairo.so.2.17.5
3259e68000-3259e6b000 rw-p 00068000 fd:00 958644                        
/usr/lib64/libcairo.so.2.17.5
325a000000-325a008000 r-xp 00000000 fd:00 958650                        
/usr/lib64/libXi.so.6.0.0
325a008000-325a208000 ---p 00008000 fd:00 958650                        
/usr/lib64/libXi.so.6.0.0
325a208000-325a209000 rw-p 00008000 fd:00 958650                        
/usr/lib64/libXi.so.6.0.0
325a400000-325a409000 r-xp 00000000 fd:00 958680                        
/usr/lib64/libXcursor.so.1.0.2
325a409000-325a609000 ---p 00009000 fd:00 958680                        
/usr/lib64/libXcursor.so.1.0.2
325a609000-325a60a000 rw-p 00009000 fd:00 958680                        
/usr/lib64/libXcursor.so.1.0.2
325a800000-325a809000 r-xp 00000000 fd:00 958643                        
/usr/lib64/libXrender.so.1.3.0
325a809000-325aa08000 ---p 00009000 fd:00 958643                        
/usr/lib64/libXrender.so.1.3.0
325aa08000-325aa09000 rw-p 00008000 fd:00 958643                        
/usr/lib64/libXrender.so.1.3.0
325b000000-325b002000 r-xp 00000000 fd:00 1103850                       
/usr/lib64/libXau.so.6.0.0
325b002000-325b201000 ---p 00002000 fd:00 1103850                       
/usr/lib64/libXau.so.6.0.0
325b201000-325b202000 rw-p 00001000 fd:00 1103850                       
/usr/lib64/libXau.so.6.0.0
325b400000-325b41a000 r-xp 00000000 fd:00 958511                        
/usr/lib64/libxcb.so.1.0.0
325b41a000-325b61a000 ---p 0001a000 fd:00 958511                        
/usr/lib64/libxcb.so.1.0.0
325b61a000-325b61b000 rw-p 0001a000 fd:00 958511                        
/usr/lib64/libxcb.so.1.0.0
325c000000-325c005000 r-xp 00000000 fd:00 958646                        
/usr/lib64/libXfixes.so.3.1.0
325c005000-325c204000 ---p 00005000 fd:00 958646                        
/usr/lib64/libXfixes.so.3.1.0
325c204000-325c205000 rw-p 00004000 fd:00 958646                        
/usr/lib64/libXfixes.so.3.1.0
3869e00000-3869e9a000 r-xp 00000000 fd:00 1205120                       
/usr/lib64/nvidia/libGL.so.173.14.09
3869e9a000-3869f9a000 ---p 0009a000 fd:00 1205120                       
/usr/lib64/nvidia/libGL.so.173.14.09
3869f9a000-3869fce000 rwxp 0009a000 fd:00 1205120                       
/usr/lib64/nvidia/libGL.so.173.14.09
3869fce000-3869fd0000 rwxp 3869fce000 00:00 0 
392Stacktrace:

  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0x00045>
  at (wrapper managed-to-native) System.Object.__icall_wrapper_mono_marshal_free
(intptr) <0xffffffff>
  at (wrapper managed-to-native) LibGPhoto2.CameraList.gp_list_get_value
(System.Runtime.InteropServices.HandleRef,int,string&) <0xffffffff>
  at LibGPhoto2.CameraList.GetValue (int) <0x000d4>
  at SourceMenu..ctor (ImportCommand) <0x004b4>
  at ImportCommand.ImportFromFile (PhotoStore,string) <0x00383>
  at MainWindow.HandleImportCommand (object,System.EventArgs) <0x0007a>
  at GLib.Signal.voidObjectCallback (intptr,intptr) <0x0010b>
  at (wrapper native-to-managed) GLib.Signal.voidObjectCallback (intptr,intptr)
<0xffffffff>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x0004d>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x00008>
  at Gnome.Program.Run () <0x0000c>
  at FSpot.Driver.Main (string[]) <0x0106e>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

	f-spot [0x527be9]
	/lib64/libpthread.so.0 [0x3b1cc0ed30]
	/lib64/libc.so.6(gsignal+0x35) [0x3b1c032215]
	/lib64/libc.so.6(abort+0x183) [0x3b1c033d83]
	/lib64/libc.so.6 [0x3b1c072858]
	/lib64/libc.so.6 [0x3b1c078158]
	/lib64/libc.so.6(cfree+0x76) [0x3b1c07a796]
	[0x3321f5]
Comment 15 Nigel Jones 2008-07-14 07:37:53 EDT
(In reply to comment #9)
> f-spot-0.4.3.1-1.fc10.i386 works fine

I've pushed 0.4.3.1-1.fc9 to arrive in the next testing push, in the mean time, 
you can grab a copy of the RPM from http://kojipkgs.fedoraproject.org/packages/
f-spot/0.4.3.1/1.fc9/ I'd really appreciate it if you could check if you can 
still reproduce this bug.
Comment 17 Nigel Jones 2008-07-14 07:59:43 EDT
(In reply to comment #16)
>
http://kojipkgs.fedoraproject.org/packages/f-spot/0.4.3.1/1.fc9/i386/f-spot-0.4.3.1-1.fc9.i386.rpm
> works fine for me
> 
Thanks, I've added it to the list of bugs fixed in this update.
Comment 18 Adam Huffman 2008-07-14 13:01:34 EDT
Works for me too, now, with the x86_64 version.

Thanks.
Comment 19 JP Renaud 2008-07-15 04:42:00 EDT
(In reply to comment #15)
> I've pushed 0.4.3.1-1.fc9 to arrive in the next testing push, in the mean time, 
> you can grab a copy of the RPM from http://kojipkgs.fedoraproject.org/packages/
> f-spot/0.4.3.1/1.fc9/ I'd really appreciate it if you could check if you can 
> still reproduce this bug.

The RPM works well for me too on x86_64. Thanks.
Comment 20 Fedora Update System 2008-07-15 08:19:24 EDT
f-spot-0.4.3.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update f-spot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6313
Comment 21 Fedora Update System 2008-07-23 03:14:11 EDT
f-spot-0.4.3.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.